%perl_module Linux-DVB 1.01 1

Summary:       Interface to (some parts of) the Linux DVB API.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/~mlehmann/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMAN/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl(ExtUtils::MakeMaker)
#BuildRequires: atrpms
#BuildRequires: perl(Test::Manifest)

%description
This module provides an interface to the Linux DVB API. It is a
straightforward translation of the C API. You should read the Linux DVB
API description to make any sense of this module. It can be found here:

   http://www.linuxtv.org/docs/dvbapi/dvbapi.html

All constants from frontend.h and demux.h are exported by their C name
and by default.

Noteworthy differences to the C API: unions and sub-structs are usually
translated into flat perl hashes, i.e "struct.u.qam.symbol_rate" becomes
"$struct->{symbol_rate}".

Noteworthy limitations of this module include: No interface to the
video, audio and net devices. If you need this functionality bug the
author.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/perl5/vendor_perl/Linux/DVB.pm
%{_libdir}/perl5/vendor_perl/auto/Linux/DVB/DVB.so
%{perl_man3dir}/Linux::*.3pm*

%changelog
* Tue Jul 29 2014 Stephen Collier <stephenbcollier2gmail.com>
- Initial build.
